% Written by Joshua Simmons 04/01/2016
% Description: used to tranform offshore to nearshore mike21 using the code
% OS2NS_MIKE21.m

clear
clc

%% Settings
%tide gauge data
guagedataloc = 'J:\Coastal\Data\Tide\Sydney\Processed\SydTideData.mat';

site = 'Monavale'; %embayment of interest

%storm details
stormdatesloc = 'D:\7 Erosion Models\a_nb_model_comparison\input_data\fielddata\stormdates_other.mat';
storm = {'2014', '2015'};

% save?
savebool = 1;
% datasave location
saveloc = 'D:\7 Erosion Models\a_nb_model_comparison\input_data\fielddata\tide\processed\';

%% Code
%load buoy data,profile data and lookup table
guagedata = load(guagedataloc);

stormdates = load(stormdatesloc);

% narrow down to date range
for ii = 1:length(storm)
    startdate = stormdates.(['storm_' storm{ii}]).startdate;
    enddate = stormdates.(['storm_' storm{ii}]).enddate;
    
    validentries = find(guagedata.SydTideData.time>=startdate & guagedata.SydTideData.time<=enddate);
    
    tidedata.tide = guagedata.SydTideData.tide(validentries);
    tidedata.time = guagedata.SydTideData.time(validentries);
   
    if savebool
        save([saveloc 'tidedata_' lower(site) '_' storm{ii} '.mat'],'tidedata') 
    end
    
    clear tidedata startdate enddate validentries
end