% SBEACH toolbox - fsbeach_gentide
% Written by Joshua Simmons 11/2017

%   Syntax:
%   tideout = fsbeach_gentide(varargin)
%
%   Input:
%   varargin  = time:   array of measurement times for tide (minutes)
%               elev:   array of waterlevels at seaward model border (m)
%
%   Output:
%   tideout        = stucture of time and elevation

function tideout = fsbeach_gentide(outpath,name,varargin)
    OPT = struct( ...
        'time', [0 100 200 300 400 500]', ...
        'elev', [1 1.2 1.1 1.5 1]' ...
    );

    OPT = setproperty(OPT, varargin{:});
    
    %transpose them if needed
    OPT = fsbeach_makecolumn(OPT,{'time','elev'});
    
    %zip
    elvfile = OPT.elev; %initial pf
    
    %and write
    writetofileelv(elvfile, outpath, name)
    
    tideout.time = OPT.time;
    tideout.elev = OPT.elev;
end